- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- UrlVisitsBreakdownDimension
- UrlVisitsBreakdown
- Try it!
Returns summaries of URL visits for a given metric and breakdown dimension.
HTTP request
GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/enterprise/securityInsights:queryUrlVisitsBreakdowns
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customer |
Required. The customer ID in the format "customers/{customer_id}". |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of breakdowns to return. The service may return fewer than this value. If unspecified, at most 50 breakdowns will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
filter |
Optional. The filter to apply to the request. For syntax, see AIP-160. Data is not available for events older than 180 days or more recent than 48 hours ago. If Supported fields for filtering: - Filtering by Supported operators: - Supported conjunctions: - Example: |
metric |
Optional. The metric to return the breakdowns for. Defaults to URL_VISITS_METRIC_TOTAL_SUSPICIOUS_URL_VISITS. |
breakdown |
Optional. The dimension to break down the URL visits by. Defaults to USER. |
fixedTimeRange |
Optional. The fixed time range to return the breakdowns for. Defaults to FIXED_TIME_RANGE_FOUR_WEEKS. Fixed time ranges are used to allow for precomputation and optimize response times. |
Request body
The request body must be empty.
Response body
Response message for securityInsights.queryUrlVisitsBreakdowns.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"urlVisitsBreakdowns": [
{
object ( |
| Fields | |
|---|---|
urlVisitsBreakdowns[] |
The URL visit breakdowns from the specified insight. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/chrome.management.securityinsights.readonlyhttps://www.googleapis.com/auth/chrome.management.securityinsights
UrlVisitsBreakdownDimension
The dimension to break down the URL visits by.
| Enums | |
|---|---|
URL_VISITS_BREAKDOWN_DIMENSION_UNSPECIFIED |
Unspecified breakdown dimension. Defaults to USER. |
USER |
Breakdown by user. |
EVENT_DOMAIN |
Breakdown by event domain. |
UrlVisitsBreakdown
A URL visits summary for a given breakdown dimension.
| JSON representation |
|---|
{ "summary": { object ( |
| Fields | |
|---|---|
summary |
The summary of URL visits for the breakdown dimension. |
Union field dimension. The dimension for the breakdown. dimension can be only one of the following: |
|
user |
The user that visited the URL. |
eventDomain |
The event domain of the URL visits. |